INTERFACE
 SUBROUTINE ARO_RAIN_ICE(KLON,KLEV, KRR, KTCOUNT, KSPLITR,&
 & OSUBG_COND, OSUBG_AUCV,OSEDIC,&
 & PTSTEP, PZZ, PRHODJ, PRHODREF, PEXNREF,&
 & PPABSM, PTHT, PRT, PSIGS,&
 & PTHS, PRS, PEVAP,&
 & PCIT, OWARM,&
 & PINPRR,PACPRR,PINPRS,PACPRS,&
 & PINPRG,PACPRG,PINPRH ) 
USE PARKIND1  ,ONLY : JPIM     ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: KLON
INTEGER(KIND=JPIM), INTENT(IN) :: KLEV
INTEGER(KIND=JPIM), INTENT(IN) :: KRR
INTEGER(KIND=JPIM), INTENT(IN) :: KTCOUNT
INTEGER(KIND=JPIM), INTENT(IN) :: KSPLITR
LOGICAL, INTENT(IN) :: OSUBG_COND
LOGICAL, INTENT(IN) :: OSUBG_AUCV
LOGICAL, INTENT(IN) :: OSEDIC
REAL(KIND=JPRB), INTENT(IN) :: PTSTEP
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PZZ
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PRHODJ
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PRHODREF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PEXNREF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PPABSM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PTHT
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,KRR), INTENT(INOUT):: PRT
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PSIGS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PTHS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,KRR), INTENT(INOUT) :: PRS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PEVAP
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PCIT
LOGICAL, INTENT(IN) :: OWARM
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRR
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PACPRR
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRS
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PACPRS
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRG
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PACPRG
REAL(KIND=JPRB), DIMENSION(KLON,1), INTENT(INOUT) :: PINPRH
END SUBROUTINE ARO_RAIN_ICE
END INTERFACE
